Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.verifier.structurals
Class GenericArray

    java.lang.Object
      |
      +--org.apache.bcel.verifier.structurals.GenericArray

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class GenericArray
extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

A placeholder class that can be used to create an ObjectType of which has some of the properties arrays have. They implement java.lang.Cloneable and java.io.Serializable and they extend java.lang.Object.

Version:
  $Id: GenericArray.java,v 1.1.1.1 2001/10/29 20:00:39 jvanzyl Exp $
Author:
  Enver Haase
See Also:
  Serialized Form

Constructor Summary
`GenericArray()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericArray

    public GenericArray()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.